Launchpads SSL performance is substandard

Bug #703134 reported by Robert Collins on 2011-01-15
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Launchpad itself
Low
Unassigned

Bug Description

This is a bit of a grab bag of things to do. I will file separate bugs and rt's as appropriate to track all the items.

We need (roughly):
 - less virtual sites for a default page load (so less SSL handshakes)
 - less requests for a default page load (largely done I think)
 - longer SSL cache idle counter (done)
 - shared SSL cache between frontends (not done)
 - SSL-DN for local SSL exchanges (not done)

Jonathan Lange (jml) wrote :

How will we evaluate whether or not this bug is fixed?

On Mon, Jan 17, 2011 at 6:58 AM, Jonathan Lange <email address hidden> wrote:
> How will we evaluate whether or not this bug is fixed?

Using science and metrics.

Jonathan Lange (jml) wrote :

On Sun, Jan 16, 2011 at 4:11 PM, Robert Collins
<email address hidden> wrote:
> On Mon, Jan 17, 2011 at 6:58 AM, Jonathan Lange <email address hidden> wrote:
>> How will we evaluate whether or not this bug is fixed?
>
> Using science and metrics.
>

What's the standard by which we are judging Launchpad to be
sub-standard? This smells like a "foo is too slow" bug that can never
actually be genuinely fixed.

jml

Robert Collins (lifeless) wrote :

Seriously, I'll refine this bug soon; if we did all 5 things in the description I think we'd be in pretty good shape. I intend this to be a master bug to track all the bits we need.

Robert Collins (lifeless) wrote :

This is a long term thing now.

Changed in launchpad:
importance: High → Low
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers